#define rev	r5564

%if 0%{?rev:1}
%define hash	b4b82c1379a2
%endif

%define rel	1

Name:		nml
Summary:	A tool to compile nml files to grf or nfo files
Version:	0.4.4
Release:	%mkrel %{?rev:0.%rev.}%{rel}
License:	GPLv2+
Group:		Graphics
Url:		http://dev.openttdcoop.org/projects/nml
Source0:	http://bundles.openttdcoop.org/nml/releases/LATEST/%{name}-%{version}%{?rev:.%rev}%{?hash:-%hash}.tar.xz
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pillow
BuildRequires:	python3-ply
Requires:	python3-ply
Requires:	python3-pillow
Requires:	python3-pkg-resources

%description
A tool to compile nml files to grf and/or nfo files.

NML is a meta-language that aims to be a lot simpler to learn and use than nfo.

%prep
%setup -q -n %{name}-%{version}%{?rev:.%rev}%{?hash:-%hash}

# fix build with new python3-pillow
sed -i -e 's,tostring(),tobytes(),g' \
	nml/spriteencoder.py \
	nml/lz77.py

%build
%py3_build

%install
rm -rf %buildroot
%py3_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

#man pages
install -Dpm644 docs/nmlc.1 %{buildroot}%{_mandir}/man1/nmlc.1

#unpackaged files
rm -rf %{buildroot}%{python_sitelib}/{easy-install.pth,site.py}


%files
%doc examples/
%doc docs/changelog.txt docs/index.html docs/readme.txt
%{_bindir}/nmlc
%{_mandir}/man1/nmlc.1*
%{python3_sitearch}/%{name}-*-py%{python3_version}.egg-info/
%{python3_sitearch}/%{name}/
%{python3_sitearch}/nml_lz77.cpython-*.so


%changelog
* Sun Oct 09 2016 adrianomorselli <adrianomorselli> 0.4.4-1uplos2016
- rebuild

* Tue Mar 15 2016 bb <bb> 0.4.4-1pclos2016
- update

* Wed Apr 02 2014 gseaman <galen.seaman at comcast.net> 0.3.0-1gseaman2014
- 0.3.0

* Fri Aug 16 2013 bb <bb> 0.2.4-2pclos2013
- update python 2.7
